/*****
 NAME
 	fobject.m - functions to operate object
 VERSION
 	$Id$
 CHANGELOG
 	$Log$
 */

#include <coconut/cobject.h>
#include <coconut/fobject.h>

gboolean equal_object_func(gconstpointer a, gconstpointer b)
{
	id	o1 = (id) a ;
	id	o2 = (id) b ;
	return [o1 compare: o2] == 0 ;
}

void remove_nothing_func(gpointer data)
{
	/* do nothing */
}

void remove_object_func(gpointer data)
{
	[((id <PObject>) data) release] ;
}

void remove_memory_func(gpointer data)
{
	g_free(data) ;
}

